<?php

namespace App\modele;

use App\gateway\Connection;
use App\metier\Image;
use App\gateway\ImageGateway;
class ImageModele
{
    private ImageGateway $gw;
    public function __construct()
    {
        $this->gw = new ImageGateway(new Connection("mysql:host=localhost;dbname=dbAlica","test","test"));
    }

    public function publierImage()
    {
        $img = new Image($this->gw->getNewId(),
            $_FILES["image"]["name"],
            $_FILES["image"]["size"],
            $_FILES["image"]["type"],
            file_get_contents($_FILES["image"]["tmp_name"]));

        $this->gw->insertImage($img);

        return $this->gw->trouverParNom($img->getName())->getId();
    }

    public function insertImage(Image $img)
    {
        $this->gw->insertImage($img);
    }


}